Start a new video import
POST
https://vod-web-import-api.livepush.io/transfers/new
Base URL https://vod-web-import-api.livepush.io — Livepush VOD Import API
Starts an asynchronous video import using the metadata ID returned by the inspector endpoint.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
POST
https://vod-web-import-api.livepush.io/transfers/new
— This call changes live data on your account.
Request body
-
idstring requiredMetadata ID returned from inspector -
zonestring requiredProcessing or storage zone -
videoNamestring requiredDisplay name for the imported video
{
"id": "tup_eK9_VlyyRnLr",
"zone": "zn_35hk0gxy_pr",
"videoName": "how-to-stream-custom-rtmp.mov"
}
Code samples
curl -X POST 'https://vod-web-import-api.livepush.io/transfers/new' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"id": "tup_eK9_VlyyRnLr",
"zone": "zn_35hk0gxy_pr",
"videoName": "how-to-stream-custom-rtmp.mov"
}'
const response = await fetch('https://vod-web-import-api.livepush.io/transfers/new', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"id": "tup_eK9_VlyyRnLr",
"zone": "zn_35hk0gxy_pr",
"videoName": "how-to-stream-custom-rtmp.mov"
}),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = {
"id": "tup_eK9_VlyyRnLr",
"zone": "zn_35hk0gxy_pr",
"videoName": "how-to-stream-custom-rtmp.mov"
}
response = requests.post('https://vod-web-import-api.livepush.io/transfers/new', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Import queued successfully
-
transferIdstring -
statusstring
{
"transferId": "tr_92aFxxQ",
"status": "queued"
}
No response body.
No response body.